Package ghidra.graph.viewer.renderer

# Class ArticulatedEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.renderers.BasicEdgeRenderer<V,E>
ghidra.graph.viewer.edge.VisualEdgeRenderer<V,E>
ghidra.graph.viewer.renderer.ArticulatedEdgeRenderer<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.renderers.Renderer.Edge<V,E>`

public class ArticulatedEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>> extends VisualEdgeRenderer<V,E>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.uci.ics.jung.visualization.renderers.Renderer.Edge

  `edu.uci.ics.jung.visualization.renderers.Renderer.Edge.NOOP`

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.renderers.BasicEdgeRenderer

  `edgeArrowRenderingSupport`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArticulatedEdgeRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shape`
  `getEdgeShape(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.graph.Graph<V,E> graph, E e, float x1, float y1, float x2, float y2, boolean isLoop, Shape vertexShape)`
  Returns the edge shape for the given points

  ### Methods inherited from class ghidra.graph.viewer.edge.VisualEdgeRenderer

  `drawSimpleEdge, getCompactShape, getDrawColor, getFocusedColor, getFullShape, getHoveredColor, getSelectedColor, getVertexShapeForArrow, isEmphasiszed, isInFocusedVertexPath, isInHoveredVertexPath, isSelected, setDashingPatternOffset, setDrawColorTransformer, setFocusedColorTransformer, setHoveredColorTransformer, setSelectedColorTransformer, transformFromLayoutToView`

  ### Methods inherited from class edu.uci.ics.jung.visualization.renderers.BasicEdgeRenderer

  `getEdgeArrowRenderingSupport, paintEdge, prepareFinalEdgeShape, setEdgeArrowRenderingSupport`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArticulatedEdgeRenderer

    public ArticulatedEdgeRenderer()

- ## Method Details

  - ### getEdgeShape

    public Shape getEdgeShape(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.graph.Graph<V,E> graph, E e, float x1, float y1, float x2, float y2, boolean isLoop, Shape vertexShape)
    Description copied from class: `VisualEdgeRenderer`
    Returns the edge shape for the given points
    Specified by:
      `getEdgeShape` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`
    Parameters:
      `rc` - the render context for the graph
      `graph` - the graph
      `e` - the edge to shape
      `x1` - the start vertex point x; layout space
      `y1` - the start vertex point y; layout space
      `x2` - the end vertex point x; layout space
      `y2` - the end vertex point y; layout space
      `isLoop` - true if the start == end, which is a self-loop
      `vertexShape` - the vertex shape (used in the case of a loop to draw a circle from the shape to itself)
    Returns:
      the edge shape